Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeSplinePatch Class Reference

`#include <deLine.hpp>`

Inheritance diagram for IdeSplinePatch:

[legend]
List of all members.

## Public Member Functions
virtual long | Release ()=0
virtual deBoolean | SetNumControls (long Num)=0
virtual deBoolean | SetNumControlSamples (long Num)=0
virtual deBoolean | SetNumInterSamples (long Num)=0
virtual long | GetNumControls () const=0
virtual long | GetNumControlSamples () const=0
virtual long | GetNumInterSamples () const=0
virtual deBoolean | SetControl (long index, IdeLine *control)=0
virtual deBoolean | SetAllControls (long Num, IdeLine *controls[])=0
virtual long | GetNumVertices ()=0
virtual long | GetNumIndices ()=0
virtual deVec3d * | GetVertices ()=0
virtual unsigned short * | GetIndices ()=0
## Protected Member Functions
| ~IdeSplinePatch ()

## Constructor & Destructor Documentation

IdeSplinePatch::~IdeSplinePatch | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual unsigned short* IdeSplinePatch::GetIndices | ( |  | ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual long IdeSplinePatch::GetNumControls | ( |  | ) | const`[pure virtual]`

| Implemented in deSplinePatch.

virtual long IdeSplinePatch::GetNumControlSamples | ( |  | ) | const`[pure virtual]`

| Implemented in deSplinePatch.

virtual long IdeSplinePatch::GetNumIndices | ( |  | ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual long IdeSplinePatch::GetNumInterSamples | ( |  | ) | const`[pure virtual]`

| Implemented in deSplinePatch.

virtual long IdeSplinePatch::GetNumVertices | ( |  | ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual deVec3d* IdeSplinePatch::GetVertices | ( |  | ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual long IdeSplinePatch::Release | ( |  | ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual deBoolean IdeSplinePatch::SetAllControls | ( | long | Num,
|  | IdeLine * | controls[]
| ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual deBoolean IdeSplinePatch::SetControl | ( | long | index,
|  | IdeLine * | control
| ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual deBoolean IdeSplinePatch::SetNumControls | ( | long | Num | ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual deBoolean IdeSplinePatch::SetNumControlSamples | ( | long | Num | ) | `[pure virtual]`

| Implemented in deSplinePatch.

virtual deBoolean IdeSplinePatch::SetNumInterSamples | ( | long | Num | ) | `[pure virtual]`

| Implemented in deSplinePatch.

The documentation for this class was generated from the following file:

- deLine.hpp